package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class BannerEventConfig extends JceStruct {
    static ActionBarInfo cache_moreAction;
    static EventValidateInfo cache_validateInfo;
    public String imageUrl;
    public ActionBarInfo moreAction;
    public EventValidateInfo validateInfo;

    static {
        BannerEventConfig.cache_validateInfo = new EventValidateInfo();
        BannerEventConfig.cache_moreAction = new ActionBarInfo();
    }

    public BannerEventConfig() {
        super();
        this.validateInfo = null;
        this.imageUrl = "";
        this.moreAction = null;
    }

    public BannerEventConfig(EventValidateInfo arg3, String arg4, ActionBarInfo arg5) {
        super();
        this.validateInfo = null;
        this.imageUrl = "";
        this.moreAction = null;
        this.validateInfo = arg3;
        this.imageUrl = arg4;
        this.moreAction = arg5;
    }

    public final void readFrom(c arg4) {
        this.validateInfo = (EventValidateInfo) arg4.a(BannerEventConfig.cache_validateInfo, 0, false);
        this.imageUrl = arg4.b(1, false);
        this.moreAction = (ActionBarInfo) arg4.a(BannerEventConfig.cache_moreAction, 2, false);
    }

    public final void writeTo(d arg3) {
        if(this.validateInfo != null) {
            arg3.a(this.validateInfo, 0);
        }

        if(this.imageUrl != null) {
            arg3.a(this.imageUrl, 1);
        }

        if(this.moreAction != null) {
            arg3.a(this.moreAction, 2);
        }
    }

}
